using Valg.EVA.Skanning.ServicesModel.ElectionConfig.Model;
using System.Collections.ObjectModel;

namespace Valg.EVA.Skanning.UserInterfaceElements.EmergencyMode
{
    public class CountyWithMunicipalityViewModel : ViewModelBase
    {
        private bool isExpanded;

        public CountyWithMunicipalityViewModel()
        {
            MunicipalitiesInCounty = new ObservableCollection<MunicipalityViewModel>();
        }

        public County CurrentCounty { get; set; }

        public ObservableCollection<MunicipalityViewModel> MunicipalitiesInCounty { get; set; }

        public bool IsExpanded
        {
            get { return isExpanded; }
            set
            {
                isExpanded = value;
                OnPropertyChanged();
            }
        }
    }
}
